package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Item;
import com.caliverse.admin.domain.entity.Event;
import com.caliverse.admin.domain.entity.Mail;
import com.caliverse.admin.domain.entity.Message;
import com.caliverse.admin.domain.request.EventRequest;

import java.util.List;
import java.util.Map;


public interface EventMapper {

    List<Event> getEventList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    Event getEventDetail(Long id);

    List<Message> getMessage(Long id);

    List<Item> getItem(Long id);
    int postEvent(EventRequest mailRequest);

    void insertMessage(Map map);
    void insertItem(Map map);
    int updateEvent(EventRequest mailRequest);

    int deleteMessage(Map map);

    int deleteItem(Map map);

    int deleteEvent(Map map);

    int updateStatusEvent(Map map);
    int updateAddFlag(Long id);

    List<Event> getScheduleEventList();
}
